com.amazonaws.codegen.model.service

## Class ServiceMetadata

- java.lang.Object
- - com.amazonaws.codegen.model.service.ServiceMetadata

    public class ServiceMetadata
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ServiceMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getApiVersion()`
`String` `getEndpointPrefix()`
`String` `getJsonVersion()`
`String` `getProtocol()`
`String` `getServiceAbbreviation()`
`String` `getServiceFullName()`
`String` `getSignatureVersion()`
`String` `getSigningName()`
`String` `getTargetPrefix()`
`String` `getXmlNamespace()`
`boolean` `isResultWrapped()`
`void` `setApiVersion(String apiVersion)`
`void` `setEndpointPrefix(String endpointPrefix)`
`void` `setJsonVersion(String jsonVersion)`
`void` `setProtocol(String protocol)`
`void` `setResultWrapped(boolean resultWrapped)`
`void` `setServiceAbbreviation(String serviceAbbreviation)`
`void` `setServiceFullName(String serviceFullName)`
`void` `setSignatureVersion(String signatureVersion)`
`void` `setSigningName(String signingName)`
`void` `setTargetPrefix(String targetPrefix)`
`void` `setXmlNamespace(String xmlNamespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceMetadata

    public ServiceMetadata()

### Method Detail

#### getApiVersion

    public String getApiVersion()

#### setApiVersion

    public void setApiVersion(String apiVersion)

#### getEndpointPrefix

    public String getEndpointPrefix()

#### setEndpointPrefix

    public void setEndpointPrefix(String endpointPrefix)

#### getSigningName

    public String getSigningName()

#### setSigningName

    public void setSigningName(String signingName)

#### getServiceAbbreviation

    public String getServiceAbbreviation()

#### setServiceAbbreviation

    public void setServiceAbbreviation(String serviceAbbreviation)

#### getServiceFullName

    public String getServiceFullName()

#### setServiceFullName

    public void setServiceFullName(String serviceFullName)

#### getXmlNamespace

    public String getXmlNamespace()

#### setXmlNamespace

    public void setXmlNamespace(String xmlNamespace)

#### getProtocol

    public String getProtocol()

#### setProtocol

    public void setProtocol(String protocol)

#### getJsonVersion

    public String getJsonVersion()

#### setJsonVersion

    public void setJsonVersion(String jsonVersion)

#### isResultWrapped

    public boolean isResultWrapped()

#### setResultWrapped

    public void setResultWrapped(boolean resultWrapped)

#### getSignatureVersion

    public String getSignatureVersion()

#### setSignatureVersion

    public void setSignatureVersion(String signatureVersion)

#### getTargetPrefix

    public String getTargetPrefix()

#### setTargetPrefix

    public void setTargetPrefix(String targetPrefix)